LiveFox.Click = {

  Test: function (event) {

    try {



      netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");

      var url = Components.classes["@mozilla.org/network/standard-url;1"].createInstance();

      url = url.QueryInterface(Components.interfaces.nsIURL);

      url.spec = "chrome://livefox/content/sound/wav.wav";

      var sample = Components.classes["@mozilla.org/sound;1"].createInstance( );

      sample = sample.QueryInterface(Components.interfaces.nsISound);

      sample.play(url)

      

      alert("Test!!");

    } catch(e) {

      LiveFox.Log.warn("Click.Test:" + e);

    }

  },

  AddMatch: function (event) {

    var matchId = parseInt(document.getElementById("boxaddmatch").value, 10);

    var youth = (document.getElementById("boxaddyouth").checked?"True":"False");

    if (matchId) {

      LiveFox.AddLiveMatch(matchId, youth);

    }

  },

  Login: function (event) {

    Login.username = document.getElementById("username").value;    

    Login.securitycode = document.getElementById("security_code").value;

    if (Login.username == "" || Login.securitycode == "") {

      return;

    };

    document.getElementById("button_login").disabled=true;

    LiveFox.getRecommendedServer();

  },

  Logout: function (event) {

    LiveFox.Logout();

  },

  AddMatchByTeam: function (event) {

    var teamId = parseInt(document.getElementById("boxaddmatch").value, 10);

    var youth = (document.getElementById("boxaddyouth").checked?"True":"False");

    if(teamId) {

      Matches.HTTPGetByTeam(teamId, youth);

    }

  },

  ClearLog: function() {

    var logElement;

    logElement = document.getElementById("logbox");

    logElement.setAttribute("value", "");

  },

  window: function() {

    var id=this.getAttribute("id").split("_");

    LiveFox.DOM.window.set(id[1], id[2], LiveFox.DOM.mode[id[0]]);

  },

  moveDown: function() {

    var id=this.getAttribute("id").split("_");

    var window=document.getElementById("live_"+id[1]+"_"+id[2]);

    var next=window.nextSibling;

    if (next != null && next.hidden == false)

      next = next.nextSibling;

    window.parentNode.insertBefore(window, next);

    this.setAttribute("src", LiveFox.Image.window.down.off);

  },

  moveUp: function() {

    var id=this.getAttribute("id").split("_");

    var window=document.getElementById("live_"+id[1]+"_"+id[2]);

    var prev=window.previousSibling;

    window.parentNode.insertBefore(window, prev);

    this.setAttribute("src", LiveFox.Image.window.up.off);

  },

  over: function() {

    var id=this.getAttribute("id").split("_");

    var windowmode=Match.List["_"+id[1]+"_"+id[2]].window.mode;

    var mode = LiveFox.DOM.mode[id[0]];

    if (mode == windowmode) return;

    switch (mode) {

      case LiveFox.DOM.mode.close:

        this.setAttribute("src", LiveFox.Image.window.close.on);

        break;

      case LiveFox.DOM.mode.shade:

        this.setAttribute("src", LiveFox.Image.window.shade.on);

        break;

      case LiveFox.DOM.mode.minimize:

        this.setAttribute("src", LiveFox.Image.window.minimize.on);

        break;

      case LiveFox.DOM.mode.maximize:

        this.setAttribute("src", LiveFox.Image.window.maximize.on);

        break;

      case LiveFox.DOM.mode.moveup:

        this.setAttribute("src", LiveFox.Image.window.up.on);

        break;

      case LiveFox.DOM.mode.movedown:

        this.setAttribute("src", LiveFox.Image.window.down.on);

        break;

    }

  },

  out: function() {

    var id=this.getAttribute("id").split("_");

    var windowmode=Match.List["_"+id[1]+"_"+id[2]].window.mode;

    var mode = LiveFox.DOM.mode[id[0]];

    if (mode == windowmode) return;

    switch (mode) {

      case LiveFox.DOM.mode.close:

        this.setAttribute("src", LiveFox.Image.window.close.off);

        break;

      case LiveFox.DOM.mode.shade:

        this.setAttribute("src", LiveFox.Image.window.shade.off);

        break;

      case LiveFox.DOM.mode.minimize:

        this.setAttribute("src", LiveFox.Image.window.minimize.off);

        break;

      case LiveFox.DOM.mode.maximize:

        this.setAttribute("src", LiveFox.Image.window.maximize.off);

        break;

      case LiveFox.DOM.mode.moveup:

        this.setAttribute("src", LiveFox.Image.window.up.off);

        break;

      case LiveFox.DOM.mode.movedown:

        this.setAttribute("src", LiveFox.Image.window.down.off);

        break;

    }

  },

  tip: function() {

    var id=this.getAttribute("id").split("_");

    LiveFox.DOM.toggleTip(id[1], id[2]);

  },

  ToggleMatch: function() {

    var id = this.getAttribute("id").split("_");

    LiveFox.DOM.toggleView(id[2], id[3]);

  },

  DeleteMatch: function() {

    var id = this.getAttribute("id").split("_");

    LiveFox.DOM.deleteView(id[2], id[3]);

  },

  addTeamToFriendsList: function(teamId, youth) {

    Friends.add(teamId, youth);

  },

  AddButtonListeners: function() {

    var elem;

    

    elem = document.getElementById("buttonAddTeam");

    elem.addEventListener('command', LiveFox.Click.AddMatchByTeam, true);

  

    elem = document.getElementById("buttonAddMatch");

    elem.addEventListener('command', LiveFox.Click.AddMatch, true);

  

    elem = document.getElementById("button_login");

    elem.addEventListener('command', LiveFox.Click.Login, true);

    

    elem = document.getElementById("close_login");

    elem.addEventListener('click',  LiveFox.Click.loginClose, true);

     

  },

  winboxOpen: function() {

    var name=this.id.split("_")[1];

    LiveFox.winboxOpenByName(name);

  },

  winboxShade: function() {

    var name=this.id.split("_")[1];

    LiveFox.winboxShadeByName(name);

  },

  loginClose: function() {

     document.getElementById('login_box').hidden = true;

     document.getElementById("button_login").disabled=true;

  },

  removeFriend: function() {

    Friends.remove();

  },

  addFriendMatch: function() {

    Friends.addMatch();

  },

  moveUpFriend: function() {

    Friends.moveUp();

  },

  moveDownFriend: function() {

    Friends.moveDown();

  }

};











